<?php
function waterMark($fileInHD, $wmFile, $transparency = 20, $jpegQuality = 90, $margin = 50)
{
	$wmImg  = imageCreateFromPNG($wmFile);
	$jpegImg = imageCreateFromJPEG($fileInHD);

	$white = imageColorAllocate($wmImg,255,255,255);
	imageColorTransparent($wmImg,$white);

	$wmX = imageSX($jpegImg) / 2 - 70;
 	$wmY = imageSY($jpegImg) / 2 - 10;

 	// Water mark process
	imageCopyMerge($jpegImg, $wmImg, $wmX, $wmY, 0, 0, imageSX($wmImg),
	imageSY($wmImg), $transparency);

 	// Overwriting image
 	ImageJPEG($jpegImg, $fileInHD, $jpegQuality);
}

waterMark("lew.jpg", "napis.png" );

?>